package com.unis.base.server.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.TyHtxxVO;
import com.unis.base.server.domain.TyHtxxDomain;
import com.unis.base.server.service.TyHtxxService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyHtxxServiceImpl implements TyHtxxService {

	@Autowired
	private TyHtxxDomain tyHtxxDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyHtxxVO> getTyHtxxList(TyHtxxVO tyHtxxVO) {
		return tyHtxxDomain.getTyHtxxList(tyHtxxVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyHtxxVO> getTyHtxxPage(TyHtxxVO tyHtxxVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyHtxxDomain.getTyHtxxList(tyHtxxVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyHtxxVO tyHtxxVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyHtxxVO.setHtxxid("HT"+date);
		return tyHtxxDomain.insert(tyHtxxVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyHtxxVO tyHtxxVO) {
		return tyHtxxDomain.update(tyHtxxVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String htxxid) {
		//根据编号获取廒间信息
		TyHtxxVO tyHtxxVO = tyHtxxDomain.getTyHtxxById(htxxid);
		if(tyHtxxVO == null) {
			return -1;
		}
		tyHtxxVO.setStatus(0);
		return tyHtxxDomain.update(tyHtxxVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyHtxxVO getHtxxByHtxxid(String htxxid) {
		return tyHtxxDomain.getTyHtxxById(htxxid);
	}

}
